Bug 213572 - Can not add entries in manifest for javafx projects
Can not add entries in manifest for javafx projects
Status: RESOLVED FIXED
Product: javafx
Classification: Unclassified
Component: Project
7.1.2
PC Windows 7
: P3 (vote)
: 7.4
Assigned To: Petr Somol
issues@javafx
:
Depends on: 208577 226638
Blocks: 204758
  Show dependency treegraph
 
Reported: 2012-06-05 03:36 UTC by sldr
Modified: 2013-04-02 12:00 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sldr 2012-06-05 03:36:45 UTC
Please consider adding the ability to add entries to the automatically created manifest file for javafx projects.

Posible Solution:
A simple solution like what was done for the javafx params and arguments would be great. This would allow something like the following added to the project.properties file to add entries into the manifest:
javafx.manifest.1.name=test-line
javafx.manifest.1.value=test-value
javafx.manifest.aa.name=test-name
javafx.manifest.aa.value=testing

The jfx-impl.xml macrodef for deploy-jar already has some javascript in the fx:param, fx:argument section that could be adapted to allowing entries to be added to the manifest file. The javafx.manifest.* project properties would simply be ignored for the macrodef deploy-deploy since no manifest file is created.

Reason for request:
I am creating javafx library jar files that will be dynamically loaded a standalone javafx app (ie: no jnlp or web). I would like the ability to read the manifest to get information about the jar that I may dynamically load. I realize there are other ways to skin this cat but the manifest seems the easyiest to me (the JarFile class already does the heavy lifting).

Thanks,
SLDR
(Stephen L. De Rudder)
Comment 1 Petr Somol 2012-06-05 08:35:34 UTC
Sounds reasonable. Added it to preliminary plan for next release...
Comment 2 Petr Somol 2013-02-13 09:52:46 UTC
changes in parameter support in preparation for custom manifest entries
http://hg.netbeans.org/jet-main/rev/c15807ddfa54
Comment 3 Petr Somol 2013-02-25 14:56:12 UTC
fixed in jetmain
http://hg.netbeans.org/jet-main/rev/0cadfc4d5b1d

new UI available in Project Properties -> Packaging
Comment 4 Quality Engineering 2013-02-26 05:24:43 UTC
Integrated into 'main-golden', will be available in build *201302252300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/0cadfc4d5b1d
User: Petr Somol <psomol@netbeans.org>
Log: #213572 - Can not add entries in manifest for javafx projects


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo